Skip to main content
POST
/
api
/
v2
/
orders
/
anti-ai
/
with-urls
cURL
curl -X POST https://morimori.app/api/v2/orders/anti-ai/with-urls \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "idempotencyKey": "key-url-001",
    "files": [
      {
        "fileName": "image1.jpg",
        "imageUrl": "https://example.com/image1.jpg"
      }
    ],
    "options": {"strength": "high"}
  }'
{
  "data": {
    "orderName": "<string>",
    "orderId": "<string>",
    "status": "inProgress"
  }
}

Authorizations

Authorization
string
header
required

API Key for external client access

Body

application/json
idempotencyKey
string
required

Idempotency key

files
object[]
required
Required array length: 1 - 100 elements
orderName
string

Order name (optional)

Maximum string length: 64
mode
object
outputTargets
object[]
options
object

Response

Order created successfully

data
object